> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Receive Message

> Receive and process incoming WhatsApp messages.

Flow:
1. Verify X-Hub-Signature-256
2. Parse message payload
3. Look up user by phone number
4. Route through PA chat service
5. Send response back via WhatsApp



## OpenAPI

````yaml /openapi.json post /api/v1/whatsapp/webhook
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/whatsapp/webhook:
    post:
      tags:
        - WhatsApp
      summary: Receive Message
      description: |-
        Receive and process incoming WhatsApp messages.

        Flow:
        1. Verify X-Hub-Signature-256
        2. Parse message payload
        3. Look up user by phone number
        4. Route through PA chat service
        5. Send response back via WhatsApp
      operationId: receive_message_api_v1_whatsapp_webhook_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}

````